Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.sqltable
Class SqlTableTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.sqltable.SqlTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class SqlTableTag
extends javax.servlet.jsp.tagext.TagSupport

Since:
  Oct 6, 2004
Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SqlTableTag()`

Method Summary
`int` | `doStartTag()`
`boolean` | `isRenderActions()`
`void` | `release()`
`void` | `setDescending(boolean descending)`
`void` | `setMaxRows(int maxRows)`
`void` | `setNestedOrderBy(java.lang.String nestedOrderBy)`
`void` | `setOrderBy(java.lang.String orderBy)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlTableTag

    public SqlTableTag()

Method Detail

### release

    public void release()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setDescending

    public void setDescending(boolean descending)

### setOrderBy

    public void setOrderBy(java.lang.String orderBy)

### setMaxRows

    public void setMaxRows(int maxRows)

### setNestedOrderBy

    public void setNestedOrderBy(java.lang.String nestedOrderBy)

### isRenderActions

    public boolean isRenderActions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD